> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update event

> Change an event name or settings.



## OpenAPI

````yaml /en/automations-api/api-reference/openapi-automations.json patch /v1/events/{eventId}
openapi: 3.0.3
info:
  title: 'Notifique API v1: Automations and events'
  version: 1.0.0
  description: >-
    Definition of **events** (name + optional `payload` schema), **automations**
    as a graph (trigger by event or **inbound message** on a channel, delays,
    conditions, including **`source: "message"`** on inbound, **`endFlow`** to
    end a branch, multi-channel sends, contact updates, etc.) and **trigger**
    via `POST /v1/events/send`. Auth: `Authorization: Bearer sk_live_...` or
    `x-api-key` header. All bodies use **camelCase**.


    **Scopes:** `events:read` | `events:write` | `automations:read` |
    `automations:write`. Send steps (`sendTemplate`, direct emails, etc.) still
    require the matching channel send keys.


    **Pagination:** query `page` (≥1, default 1) and `limit` (1 to 100, default
    20), as strings or coherent numbers.


    **Blocked workspace** returns **402** with `Payment Required`.


    **Onboarding:** on any `/v1` route, if onboarding is incomplete, middleware
    returns **403** with `code: ONBOARDING_REQUIRED` (body similar to other
    403s).


    **Escopos adicionais:** `assistants:read` | `assistants:write` |
    `assistants:invoke` | `knowledge_bases:read` | `knowledge_bases:write` |
    `mcp_connections:read` | `mcp_connections:write` | `http_tools:read` |
    `http_tools:write`.
servers:
  - url: https://api.notifique.dev
    description: Production
security:
  - ntfAutoBearerAuth: []
  - ntfAutoApiKeyHeader: []
tags:
  - name: Eventos
    description: CRUD de definições de evento + disparo `POST /v1/events/send`.
  - name: Automações
    description: CRUD de automações, stop e listagem de runs.
  - name: Runs
    description: Histórico e detalhe de execuções (`AutomationRun` + passos).
  - name: Assistentes
    description: CRUD de WorkspaceAssistant, invoke de teste e bindings MCP/HTTP.
  - name: Bases de conhecimento
    description: CRUD de bases RAG e documentos.
  - name: MCP
    description: Conexões MCP do workspace (CUSTOM_URL via API; OAuth curado no painel).
  - name: HTTP tools
    description: Ferramentas REST allowlist para assistentes.
  - name: Inbox
    description: Unified conversations and metrics (premium feature).
paths:
  /v1/events/{eventId}:
    patch:
      tags:
        - Eventos
      summary: Update event
      description: Change an event name or settings.
      operationId: ntfAuto_patchEvent
      parameters:
        - $ref: '#/components/parameters/NtfAuto_eventId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NtfAuto_EventPatchBody'
            example:
              name: Exemplo
      responses:
        '200':
          $ref: '#/components/responses/NtfAuto_EventPatch200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ntfAuto_PatchEventResponse'
        '400':
          $ref: '#/components/responses/NtfAuto_EventPatch400'
        '401':
          $ref: '#/components/responses/NtfAuto_401'
        '402':
          $ref: '#/components/responses/NtfAuto_402'
        '403':
          $ref: '#/components/responses/NtfAuto_403EventsWrite'
        '404':
          $ref: '#/components/responses/NtfAuto_EventNotFound'
        '409':
          $ref: '#/components/responses/NtfAuto_EventNameConflict'
components:
  parameters:
    NtfAuto_eventId:
      name: eventId
      in: path
      required: true
      schema:
        type: string
      description: Cuid do registro `AutomationEvent`.
  schemas:
    NtfAuto_EventPatchBody:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 256
        schemaJson:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/NtfAuto_EventPayloadSchema'
      example:
        name: Exemplo
    ntfAuto_PatchEventResponse:
      type: object
      additionalProperties: false
      description: Resposta JSON vazia (sucesso sem payload).
      properties:
        success:
          type: boolean
          example: true
      example:
        success: true
    NtfAuto_EventPayloadSchema:
      type: object
      additionalProperties:
        type: string
        enum:
          - string
          - number
          - boolean
          - date
        description: '`date`: string ISO-8601 parseável no disparo.'
      description: 'Objeto plano: nome do campo → tipo esperado no `payload`.'
      properties: {}
    NtfAuto_EventPatchResponse:
      type: object
      required:
        - success
        - data
      properties:
        success:
          type: boolean
          enum:
            - true
        data:
          type: object
          required:
            - id
            - name
            - schemaJson
            - updatedAt
          properties:
            id:
              type: string
            name:
              type: string
            schemaJson:
              nullable: true
              type: object
              additionalProperties:
                type: string
              properties: {}
            updatedAt:
              type: string
              format: date-time
      example:
        success: true
        data:
          id: clxx...
          name: Exemplo
          schemaJson: {}
          updatedAt: '2025-02-10T14:00:00.000Z'
    NtfAuto_ErrorWithOptionalCode:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
        message:
          type: string
        code:
          type: string
      example:
        success: false
        error: string
        message: string
        code: string
    NtfAuto_ErrorEnvelope401:
      type: object
      required:
        - success
        - error
        - message
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
          example: Unauthorized
        message:
          type: string
        code:
          type: string
          example: VALIDATION_ERROR
      example:
        success: false
        error: Unauthorized
        message: string
    NtfAuto_ErrorPaymentRequired:
      type: object
      required:
        - success
        - error
        - message
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
          enum:
            - Payment Required
        message:
          type: string
          example: Plan expired or suspended
        code:
          type: string
          enum:
            - WORKSPACE_BLOCKED
            - PLAN_LIMIT_AUTOMATIONS
            - PREMIUM_FEATURE_REQUIRES_PLAN_OR_BALANCE
      example:
        success: false
        error: Payment Required
        message: Plan expired or suspended
        code: WORKSPACE_BLOCKED
    NtfAuto_ErrorForbiddenScope:
      type: object
      required:
        - success
        - error
        - message
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
          enum:
            - Forbidden
        message:
          type: string
        code:
          type: string
          example: FORBIDDEN
      example:
        success: false
        error: Forbidden
        message: string
    NtfAuto_ErrorNotFound:
      type: object
      required:
        - success
        - error
        - message
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
          enum:
            - Not Found
        message:
          type: string
        code:
          type: string
          example: NOT_FOUND
      example:
        success: false
        error: Not Found
        message: string
    NtfAuto_ErrorConflict:
      type: object
      required:
        - success
        - error
        - message
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
          enum:
            - Conflict
        message:
          type: string
        code:
          type: string
          example: CONFLICT
      example:
        success: false
        error: Conflict
        message: string
  responses:
    NtfAuto_EventPatch200:
      description: Atualizado.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NtfAuto_EventPatchResponse'
          example:
            success: true
            data:
              id: clxx...
              name: Exemplo
              schemaJson: {}
              updatedAt: '2025-02-10T14:00:00.000Z'
    NtfAuto_EventPatch400:
      description: Nome inválido ou schema inválido.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NtfAuto_ErrorWithOptionalCode'
          example:
            success: false
            error: Bad Request
            code: VALIDATION_ERROR
            message: Campo inválido ou ausente.
    NtfAuto_401:
      description: >-
        Chave ausente ou inválida. No middleware global de `/v1` também ocorre
        quando não há API Key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NtfAuto_ErrorEnvelope401'
          examples:
            route:
              value:
                success: false
                error: Unauthorized
                message: Invalid or missing API Key
                code: UNAUTHORIZED
            middleware:
              value:
                success: false
                error: Unauthorized
                message: >-
                  API Key is required. Provide Authorization: Bearer <key> or
                  x-api-key header.
                code: UNAUTHORIZED
    NtfAuto_402:
      description: >-
        Expired plan or suspended workspace (`WORKSPACE_BLOCKED`), plan
        automation limit (`PLAN_LIMIT_AUTOMATIONS`), or plan/trial without
        balance for automations/events
        (`PREMIUM_FEATURE_REQUIRES_PLAN_OR_BALANCE`).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NtfAuto_ErrorPaymentRequired'
          examples:
            workspaceBlocked:
              value:
                success: false
                error: Payment Required
                message: Plan expired or suspended
                code: WORKSPACE_BLOCKED
            premiumFeature:
              value:
                success: false
                error: Payment Required
                message: Premium automations require an active plan, trial, or balance
                code: PREMIUM_FEATURE_REQUIRES_PLAN_OR_BALANCE
    NtfAuto_403EventsWrite:
      description: Sem escopo `events:write`.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NtfAuto_ErrorForbiddenScope'
          example:
            success: false
            error: Forbidden
            message: 'Missing scope: events:write'
            code: FORBIDDEN
    NtfAuto_EventNotFound:
      description: Evento inexistente ou já excluído.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NtfAuto_ErrorNotFound'
          example:
            success: false
            error: Not Found
            message: Event not found
            code: NOT_FOUND
    NtfAuto_EventNameConflict:
      description: Já existe evento com o mesmo nome no workspace.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NtfAuto_ErrorConflict'
          example:
            success: false
            error: Conflict
            message: An event with this name already exists
            code: CONFLICT
  securitySchemes:
    ntfAutoBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: '`Authorization: Bearer sk_live_...`'
    ntfAutoApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: Mesmo valor da chave, sem prefixo Bearer.

````